Loading...
Searching...
No Matches
cyaml_anchor Struct Reference

## Data Fields

char * | name
size_t | len
uint32_t | start
uint32_t | end

## Detailed Description

Anchor data.

This is used to track the progress of recording the anchor's events, and then the data is referenced during replay.

## Field Documentation

## end

uint32_t cyaml_anchor::end

Index into cyaml_event_ctx_t events array.

## len

size_t cyaml_anchor::len

Length of anchor name.

## name

char* cyaml_anchor::name

Anchor name.

## start

uint32_t cyaml_anchor::start

Index into cyaml_event_ctx_t events array.

The documentation for this struct was generated from the following file:

- src/load.c